org.jbpm.executor.impl.jpa

## Class ErrorInfoDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>
      - - org.jbpm.executor.impl.jpa.ErrorInfoDeleteBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>, org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder

      public class ErrorInfoDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>
      implements org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `AbstractAuditDeleteBuilderImpl.Subquery`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `deploymentId, executor, jpaAuditService, recordsPerTransaction, statuses`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorInfoDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `ErrorInfoDeleteBuilderImpl(JPAAuditLogService jpaAuditService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder` | `date(Date... date)`
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder` | `dateRangeEnd(Date rangeStart)`
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder` | `dateRangeStart(Date rangeStart)`
    `protected String` | `getQueryTable()`
    `protected Class` | `getQueryType()`

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `applyParameters, build, checkIfNull, ensureDateNotTimestamp, getJpaAuditLogService, getSubQuery, isSubquerySupported, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### ErrorInfoDeleteBuilderImpl

          public ErrorInfoDeleteBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

    - #### ErrorInfoDeleteBuilderImpl

          public ErrorInfoDeleteBuilderImpl(JPAAuditLogService jpaAuditService)

  - ### Method Detail

    - #### date

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder date(Date... date)

      Specified by:
        `date` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>`
      Overrides:
        `date` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>`

    - #### dateRangeStart

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder dateRangeStart(Date rangeStart)

      Specified by:
        `dateRangeStart` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>`
      Overrides:
        `dateRangeStart` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>`

    - #### dateRangeEnd

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder dateRangeEnd(Date rangeStart)

      Specified by:
        `dateRangeEnd` in interface `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>`
      Overrides:
        `dateRangeEnd` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>`

    - #### getQueryTable

          protected String getQueryTable()

      Specified by:
        `getQueryTable` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder>`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.